Bug 851522 - Openssl fails on fuse mount
Openssl fails on fuse mount
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 09:02 EDT by Ujjwala
Modified: 2016-02-17 19:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mount and sanity log (25.67 KB, application/x-gzip)
2012-08-24 09:02 EDT, Ujjwala
no flags Details

  None (edit)
Description Ujjwala 2012-08-24 09:02:52 EDT
Created attachment 606857 [details]
mount and sanity log

Description of problem:
Running openssl on fuse mount fails.
Works fine on nfs mount.

Version-Release number of selected component (if applicable):
glusterfs 3git built on Aug 24 2012 07:34:45

How reproducible:
tested 3-4 times, everytime


Steps to Reproduce:
1. Create a dis-rep volume
2. Do a fuse mount of the volume
3. Run openssl on the mount point.
  
Actual results:
Openssl make fails

Expected results:
Should pass

Additional info:

Changing to the specified mountpoint
/mnt/dis-rep/run28520
executing openssl
untarring the openssl tarball
start:12:37:13

real    0m38.456s
user    0m0.299s
sys     0m0.477s
executing ./config:12:37:51

real    0m3.593s
user    0m1.082s
sys     0m0.453s
executing make:12:37:55

real    9m16.559s
user    1m22.985s
sys     0m20.243s
make failed:12:47:11
openssl failed
0
Total 0 tests were successful
Switching over to the previous working directory
Removing /mnt/dis-rep/run28520/
rmdir: failed to remove `/mnt/dis-rep/run28520/': Directory not empty
rmdir failed:Directory not empty
Comment 3 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.